package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.dto.custom.CustomInfoDto;
import com.crm.rely.backend.model.dto.custom.potential.CustomListDto;
import com.crm.rely.backend.model.entity.custom.info.CustomApproveEntity;
import com.crm.rely.backend.model.entity.custom.info.CustomSearchEntity;
import com.crm.rely.backend.model.pojo.table.CustomInfoTable;

import java.util.List;

/**
 * Created by max on 2020/6/16.
 */
public interface CustomInfoService {

    BaseResultWithPagerDto<List<CustomListDto>> getPageList(CustomSearchEntity entity) throws Exception;

    List<CustomListDto> getList(CustomSearchEntity entity) throws Exception;

    void approve(CustomApproveEntity entity) throws ServiceException;

    CustomInfoDto getSingleCustomInfo(Long id) throws Exception;

    CustomInfoDto getSingleCustomInfoByCId(Long id) throws Exception;


    CustomInfoTable getSingleCustomInfoByEmail(String email);

    CustomInfoDto getSingleCustomByLogin(Long login) throws Exception;

    void batchDeleteByIdList(List<Long> ids) throws Exception;
//
//    void updatePassword(CustomUpdatePasswordByManagerEntity entity) throws ServiceException;
}
